## org-mode 6.34c

=== Makefile ===
--- 
+++ 
@@ -29,8 +29,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             \
- "(progn (add-to-list (quote load-path) (expand-file-name \"./lisp/\")) \
-        (add-to-list (quote load-path) \"$(lispdir)\"))"
+  "(progn (add-to-list (quote load-path) \"$(lispdir)\") (add-to-list (quote load-path) (expand-file-name \"./lisp/\")))"
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -64,20 +63,29 @@
 	     	org-attach.el		\
 	     	org-archive.el		\
 		org-bbdb.el		\
+		org-beamer.el		\
 		org-bibtex.el		\
 	     	org-clock.el		\
 	     	org-colview.el		\
 	     	org-colview-xemacs.el	\
 	     	org-compat.el		\
+	     	org-crypt.el		\
+	     	org-ctags.el		\
+	     	org-datetree.el		\
+	     	org-docview.el		\
 		org-exp.el		\
+		org-exp-blocks.el	\
 		org-docbook.el		\
 		org-faces.el		\
 		org-feed.el		\
 		org-footnote.el		\
+		org-freemind.el		\
 		org-gnus.el		\
+		org-habit.el		\
 		org-html.el		\
 		org-icalendar.el	\
 		org-id.el		\
+		org-indent.el		\
 		org-info.el		\
 		org-inlinetask.el	\
 		org-jsinfo.el		\
@@ -88,12 +96,14 @@
 	     	org-macs.el		\
 		org-mew.el              \
 		org-mhe.el		\
+		org-mobile.el		\
 		org-mouse.el		\
 		org-publish.el		\
 		org-plot.el		\
 		org-protocol.el		\
 		org-remember.el		\
 		org-rmail.el		\
+		org-src.el		\
 		org-table.el		\
 		org-timer.el		\
 		org-vm.el		\
@@ -122,6 +132,14 @@
 
 all:	$(ELCFILES) $(INFOFILES)
 
+up2:	update
+	sudo ${MAKE} install
+
+update:
+	git pull
+	${MAKE} clean
+	${MAKE} all
+
 compile: $(ELCFILES0)
 
 install: install-lisp
@@ -129,10 +147,10 @@
 doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf
 
 p:
-	make pdf && open doc/org.pdf
+	${MAKE} pdf && open doc/org.pdf
 
 c:
-	make card && gv doc/orgcard.ps
+	${MAKE} card && gv doc/orgcard.ps
 
 install-lisp: $(LISPFILES) $(ELCFILES)
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -196,7 +214,7 @@
 # Below here are special targets for maintenance only
 
 updateweb:
-	ssh cdominik@caprisun.dreamhost.com 'pull-worg-org.sh && publish-worg-org.sh'
+	ssh cdominik@orgmode.org 'pull-worg-org.sh && publish-worg-org.sh'
 
 html: doc/org.html
 
@@ -215,10 +233,10 @@
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
 	touch doc/org.texi doc/orgcard.tex # force update
-	make cleancontrib
-	make info
-	make doc
-	make lisp/org-install.el
+	${MAKE} cleancontrib
+	${MAKE} info
+	${MAKE} doc
+	${MAKE} lisp/org-install.el
 	rm -rf org-$(TAG) org-$(TAG).zip
 	$(MKDIR) org-$(TAG)
 	$(MKDIR) org-$(TAG)/xemacs
@@ -235,10 +253,10 @@
 
 release:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
-	make distfile
-	make doc
+	${MAKE} distfile
+	${MAKE} doc
 	UTILITIES/gplmanual.pl
-	make html_manual
+	${MAKE} html_manual
 	rm -rf RELEASEDIR
 	$(MKDIR) RELEASEDIR
 	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
@@ -252,20 +270,14 @@
 upload_manual:
 	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
 
-snap:
-	make release TAG=snapshot
-	scp RELEASEDIR/org-snapshot.zip cdominik@orgmode.org:orgmode.org/
-	scp RELEASEDIR/org-snapshot.tar.gz cdominik@orgmode.org:orgmode.org/
-	make cleanrel
-
 relup0:
-	make release
-	make upload_release
+	${MAKE} release
+	${MAKE} upload_release
 
 relup:
-	make release
-	make upload_release
-	make upload_manual
+	${MAKE} release
+	${MAKE} upload_release
+	${MAKE} upload_manual
 
 db:
 	grep -e '(debug)' lisp/*el
@@ -285,16 +297,16 @@
 cleanrel:
 	rm -rf RELEASEDIR
 	rm -rf org-6.*
-	rm -rf org-6*zip org-6*tar.gz org-snapshot*
+	rm -rf org-6*zip org-6*tar.gz
 
 clean:
-	make cleanelc
-	make cleandoc
-	make cleanrel
+	${MAKE} cleanelc
+	${MAKE} cleandoc
+	${MAKE} cleanrel
 	rm -f *~ */*~ */*/*~
 
 cleanall:
-	make clean
+	${MAKE} clean
 	rm -f lisp/org-install.el
 
 .el.elc:
@@ -323,21 +335,30 @@
 lisp/org-attach.elc:	lisp/org.el lisp/org-id.el
 lisp/org-archive.elc:	lisp/org.el
 lisp/org-bbdb.elc:	lisp/org.el
+lisp/org-beamer.elc:	lisp/org.el
 lisp/org-bibtex.elc:	lisp/org.el
 lisp/org-clock.elc:	lisp/org.el
 lisp/org-colview.elc:	lisp/org.el
 lisp/org-colview-xemacs.elc:	lisp/org.el
 lisp/org-compat.elc:	lisp/org-macs.el
+lisp/org-crypt.elc:	lisp/org-crypt.el lisp/org.el
+lisp/org-ctags.elc:	lisp/org.el
+lisp/org-datetree.elc:	lisp/org.el
+lisp/org-docview.elc:	lisp/org.el
 lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
-lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el
+lisp/org-exp-blocks.elc: lisp/org.el
+lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el
 lisp/org-docbook.elc:	lisp/org.el lisp/org-exp.el
 lisp/org-faces.elc:	lisp/org-macs.el lisp/org-compat.el
 lisp/org-feed.elc:	lisp/org.el
 lisp/org-footnotes.elc:	lisp/org-macs.el lisp/org-compat.el
+lisp/org-freemind.elc:	lisp/org.el
 lisp/org-gnus.elc:	lisp/org.el
 lisp/org-html.elc:	lisp/org-exp.el
+lisp/org-habit.elc:	lisp/org.el lisp/org-agenda.el
 lisp/org-icalendar.elc:	lisp/org-exp.el
 lisp/org-id.elc:	lisp/org.el
+lisp/org-indent.elc:	lisp/org.el lisp/org-macs.el lisp/org-compat.el
 lisp/org-info.elc:	lisp/org.el
 lisp/org-inlinetask.elc:
 lisp/org-irc.elc:	lisp/org.el
@@ -347,12 +368,14 @@
 lisp/org-macs.elc:
 lisp/org-mew.elc:	lisp/org.el
 lisp/org-mhe.elc:	lisp/org.el
+lisp/org-mobile.elc:	lisp/org.el
 lisp/org-mouse.elc:	lisp/org.el
 lisp/org-plot.elc:	lisp/org.el lisp/org-exp.el lisp/org-table.el
 lisp/org-publish.elc:
 lisp/org-protocol.elc:	lisp/org.el
 lisp/org-remember.elc:	lisp/org.el
 lisp/org-rmail.elc:	lisp/org.el
+lisp/org-src.elc:	lisp/org-macs.el lisp/org-compat.el
 lisp/org-table.elc:	lisp/org.el
 lisp/org-timer.elc:	lisp/org.el
 lisp/org-vm.elc:	lisp/org.el
