## org-mode 6.36c

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 # Using emacs in batch mode.
 
 BATCH=$(EMACS) -batch -q -no-site-file -eval                             \
-  "(progn (add-to-list (quote load-path) \"$(lispdir)\") (add-to-list (quote load-path) (expand-file-name \"./lisp/\")))"
+  "(setq load-path (cons (expand-file-name \"./lisp/\") (cons \"$(lispdir)\" load-path)))"
 
 # Specify the byte-compiler for compiling org-mode files
 ELC= $(BATCH) -f batch-byte-compile
@@ -45,6 +45,7 @@
 
 # How to create the HTML file
 TEXI2HTML = makeinfo --html --number-sections
+TEXI2HTMLNOPSLIT = makeinfo --html --no-split --number-sections
 
 # How to copy the lisp files and elc files to their distination.
 CP = cp -p
@@ -73,6 +74,7 @@
 	     	org-ctags.el		\
 	     	org-datetree.el		\
 	     	org-docview.el		\
+	     	org-entities.el		\
 		org-exp.el		\
 		org-exp-blocks.el	\
 		org-docbook.el		\
@@ -115,7 +117,9 @@
 LISPFILES  = $(LISPFILES0) lisp/org-install.el
 ELCFILES0  = $(LISPFILES0:.el=.elc)
 ELCFILES   = $(LISPFILES:.el=.elc)
-DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir doc/.nosearch
+DOCFILES   = doc/org.texi doc/org.pdf doc/org doc/dir \
+             doc/pdflayout.sty doc/.nosearch \
+             doc/orgguide.texi doc/orgguide.pdf
 CARDFILES  = doc/orgcard.tex doc/orgcard.pdf doc/orgcard_letter.pdf
 TEXIFILES  = doc/org.texi
 INFOFILES  = doc/org
@@ -144,13 +148,13 @@
 
 install: install-lisp
 
-doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf
+doc: doc/org.html doc/org.pdf doc/orgcard.pdf doc/orgcard_letter.pdf doc/orgguide.pdf
 
 p:
 	${MAKE} pdf && open doc/org.pdf
 
-c:
-	${MAKE} card && gv doc/orgcard.ps
+g:
+	${MAKE} pdf && open doc/orgguide.pdf
 
 install-lisp: $(LISPFILES) $(ELCFILES)
 	if [ ! -d $(lispdir) ]; then $(MKDIR) $(lispdir); else true; fi ;
@@ -188,28 +192,22 @@
 doc/org.pdf: doc/org.texi
 	(cd doc; $(TEXI2PDF) org.texi)
 
+doc/orgguide.pdf: doc/orgguide.texi
+	(cd doc; $(TEXI2PDF) orgguide.texi)
+
 doc/org.html: doc/org.texi
 	(cd doc; $(TEXI2HTML) --no-split -o org.html org.texi)
 	UTILITIES/manfull.pl doc/org.html
 
-doc/orgcard.dvi: doc/orgcard.tex
-	(cd doc; tex orgcard.tex)
-
-doc/orgcard.pdf: doc/orgcard.dvi
-	dvips -q -f -t landscape doc/orgcard.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard.pdf -c .setpdfwrite -
-
-doc/orgcard.ps: doc/orgcard.dvi
-	dvips -t landscape -o doc/orgcard.ps doc/orgcard.dvi 
-
-doc/orgcard_letter.dvi: doc/orgcard.tex
-	perl -pe 's/letterpaper=0/letterpaper=1/' doc/orgcard.tex > doc/orgcard_letter.tex
-	(cd doc; tex orgcard_letter.tex)
-
-doc/orgcard_letter.pdf: doc/orgcard_letter.dvi
-	dvips -q -f -t landscape doc/orgcard_letter.dvi | gs -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sOutputFile=doc/orgcard_letter.pdf -c .setpdfwrite -
-
-doc/orgcard_letter.ps: doc/orgcard_letter.dvi
-	dvips -t landscape -o doc/orgcard_letter.ps doc/orgcard_letter.dvi 
+doc/orgcard.pdf: doc/orgcard.tex
+	(cd doc; pdftex orgcard.tex)
+
+doc/orgcard_letter.tex: doc/orgcard.tex
+	perl -pe 's/\\pdflayout=\(0l\)/\\pdflayout=(1l)/' \
+                   doc/orgcard.tex > doc/orgcard_letter.tex
+
+doc/orgcard_letter.pdf: doc/orgcard_letter.tex
+	(cd doc; pdftex orgcard_letter.tex)
 
 # Below here are special targets for maintenance only
 
@@ -224,11 +222,17 @@
 	$(TEXI2HTML) -o doc/manual doc/org.texi
 	UTILITIES/mansplit.pl doc/manual/*.html
 
+html_guide: doc/orgguide.texi
+	rm -rf doc/guide
+	mkdir doc/guide
+	$(TEXI2HTML) -o doc/guide doc/orgguide.texi
+	UTILITIES/guidesplit.pl doc/guide/*.html
+
 info:	doc/org
 
-pdf:	doc/org.pdf
-
-card:	doc/orgcard.pdf doc/orgcard.ps doc/orgcard_letter.pdf doc/orgcard_letter.ps
+pdf:	doc/org.pdf doc/orgguide.pdf
+
+card:	doc/orgcard.pdf doc/orgcard_letter.pdf
 
 distfile:
 	@if [ "X$(TAG)" = "X" ]; then echo "*** No tag ***"; exit 1; fi
@@ -257,10 +261,12 @@
 	${MAKE} doc
 	UTILITIES/gplmanual.pl
 	${MAKE} html_manual
+	${MAKE} html_guide
 	rm -rf RELEASEDIR
 	$(MKDIR) RELEASEDIR
 	cp org-$(TAG).zip org-$(TAG).tar.gz RELEASEDIR
 	cp doc/org.pdf doc/orgcard.pdf doc/org.texi doc/org.html RELEASEDIR
+	cp doc/orgguide.pdf RELEASEDIR
 	cp RELEASEDIR/org-$(TAG).zip    RELEASEDIR/org.zip
 	cp RELEASEDIR/org-$(TAG).tar.gz RELEASEDIR/org.tar.gz
 
@@ -269,6 +275,7 @@
 
 upload_manual:
 	rsync -avuz --delete doc/manual/ cdominik@orgmode.org:orgmode.org/manual/
+	rsync -avuz --delete doc/guide/ cdominik@orgmode.org:orgmode.org/guide/
 
 relup0:
 	${MAKE} release
@@ -288,7 +295,7 @@
 cleanelc:
 	rm -f $(ELCFILES)
 cleandoc:
-	(cd doc; rm -f org.pdf org org.html orgcard.pdf orgcard.ps)
+	(cd doc; rm -f org.pdf org org.html orgcard.pdf)
 	(cd doc; rm -f *.aux *.cp *.cps *.dvi *.fn *.fns *.ky *.kys *.pg *.pgs)
 	(cd doc; rm -f *.toc *.tp *.tps *.vr *.vrs *.log *.html *.ps)
 	(cd doc; rm -f orgcard_letter.tex orgcard_letter.pdf)
@@ -345,6 +352,7 @@
 lisp/org-ctags.elc:	lisp/org.el
 lisp/org-datetree.elc:	lisp/org.el
 lisp/org-docview.elc:	lisp/org.el
+lisp/org-entities.elc:	
 lisp/org-exp.elc:	lisp/org.el lisp/org-agenda.el
 lisp/org-exp-blocks.elc: lisp/org.el
 lisp/org-latex.elc:	lisp/org.el lisp/org-exp.el lisp/org-beamer.el
