=== debian/changelog ===
org-mode (6.36c-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Wed, 19 May 2010 13:31:31 +0200

org-mode (6.35i-1) unstable; urgency=low

  * New upstream release.
  * Do not include org-freemind for xemacs (Closes: #577496).

 -- Sebastien Delafond <seb@debian.org>  Tue, 13 Apr 2010 15:09:27 +0200

org-mode (6.35h-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 12 Apr 2010 10:33:56 +0200

org-mode (6.35g-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Sat, 10 Apr 2010 12:15:35 +0200

org-mode (6.35f-1) unstable; urgency=low

  * New upstream release.
  * Removed incorrect Vcs-* info.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Apr 2010 12:48:18 +0200

org-mode (6.34c-4) unstable; urgency=low

  * Proper unescaping in links (Closes: #572404.)

 -- Sebastien Delafond <seb@debian.org>  Fri, 05 Mar 2010 10:45:05 +0100

org-mode (6.34c-3) unstable; urgency=low

  * Swith to 3.0(quilt) source format.

 -- Sebastien Delafond <seb@debian.org>  Tue, 02 Mar 2010 08:29:45 +0100

org-mode (6.34c-2) unstable; urgency=low

  * Add easypg as a Suggest, to enable org-crypt functionalities.
  * Bumped up Standards-Version.

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Feb 2010 16:25:35 +0100

org-mode (6.34c-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Jan 2010 15:48:44 +0100

org-mode (6.33f-2) unstable; urgency=low

  * New upstream release.
  * Remove ditaa.jar from both the source and binary packages, as its
    source code is not available (Closes: #565250). Seems 528117 crept
    back somehow.

 -- Sebastien Delafond <seb@debian.org>  Fri, 29 Jan 2010 15:41:21 +0100

org-mode (6.32b-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 29 Oct 2009 10:22:45 +0100

org-mode (6.31a-3) unstable; urgency=low

  * Add ORed dependency on emacs-snapshot (Closes: #551729).
  * Removed explicit version-depend on dpkg.

 -- Sebastien Delafond <seb@debian.org>  Thu, 22 Oct 2009 21:15:59 +0200

org-mode (6.31a-2) unstable; urgency=low

  * New Vcs-Git and Homepage fields in debian/control.
  * Lintian cleanups.

 -- Sebastien Delafond <seb@debian.org>  Mon, 19 Oct 2009 16:13:16 +0200

org-mode (6.31a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 08 Oct 2009 14:45:55 +0200

org-mode (6.31-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Wed, 30 Sep 2009 21:05:03 +0200

org-mode (6.30e-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 28 Sep 2009 16:57:29 +0200

org-mode (6.29c+1-3) unstable; urgency=low

  * Doh: emacs 23, not emacs-23 (Closes: #541651).

 -- Sebastien Delafond <seb@debian.org>  Sun, 16 Aug 2009 17:34:50 +0200

org-mode (6.29c+1-2) unstable; urgency=low

  * OR'ed depend on emacs23 as well (Closes: #541651).

 -- Sebastien Delafond <seb@debian.org>  Sat, 15 Aug 2009 11:44:49 +0200

org-mode (6.29c+1-1) unstable; urgency=low

  * Clarify licensing of org-mode's documentation in debian/copyright, and
    correct packaging bug in 6.27a-1 and 6.29c-1 where the wrong,
    GFDL-only version of the manual was accidentally included (Closes:
    #540736).

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Aug 2009 12:38:39 +0200

org-mode (6.29c-1) unstable; urgency=low

  * New upstream release
  * Bumped up standards revision.

 -- Sebastien Delafond <seb@debian.org>  Mon, 10 Aug 2009 09:02:41 +0200

org-mode (6.27a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Tue, 16 Jun 2009 12:47:51 +0200

org-mode (6.26d-1) unstable; urgency=low

  * New upstream release.
  * Remove ditaa.jar from both the source and binary packages, as its
    source code is not available (Closes: #528117).

 -- Sebastien Delafond <seb@debian.org>  Mon, 11 May 2009 02:16:35 -0700

org-mode (6.26a-4) unstable; urgency=low

  * xemacs21 is fine, as it has url.el.

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 05:35:05 -0700

org-mode (6.26a-3) unstable; urgency=low

  * Do not support emacs21 and xemacs21 anymore; upstream author mentioned
    he will "not willingly break Emacs 21 support, but no longer will make
    any effort to adapt code for it" (Closes: #524951).

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 05:25:46 -0700

org-mode (6.26a-2) unstable; urgency=low

  * Fix void symbol in startup file; thanks Antonio P. P. Almeida for the
    patch (Closes: #524941).

 -- Sebastien Delafond <seb@debian.org>  Tue, 21 Apr 2009 02:10:47 -0700

org-mode (6.26a-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Mon, 20 Apr 2009 00:08:53 -0700

org-mode (6.25e-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Thu, 09 Apr 2009 11:23:38 -0700

org-mode (6.24b-1) unstable; urgency=low

  * New upstream release (Closes: #519559).
  * Update watch file so it doesn't match the snapshot release.
  * Remove .DS_Store accidentally included in upstream tarball.

 -- Sebastien Delafond <seb@debian.org>  Fri, 13 Mar 2009 06:53:16 -0700

org-mode (6.21b-1) unstable; urgency=low

  * New upstream release

 -- Sebastien Delafond <seb@debian.org>  Mon, 02 Feb 2009 14:10:42 -0800

org-mode (6.19b-1) unstable; urgency=low

  * New upstream release.
  * Do not byte-compile *.el file more than once, and log said compilation
    to a temp file (inspired from emacs-goodies-el's install script).

 -- Sebastien Delafond <seb@debian.org>  Mon, 26 Jan 2009 08:41:17 -0800

org-mode (6.17c-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/watch to account for index.html renaming to index.html.

 -- Sebastien Delafond <seb@debian.org>  Sun, 18 Jan 2009 19:01:30 -0800


